## ug 3.12.1

=== np/cpldisc/Makefile ===
##############################################################################
#                                                                            #
#   Makefile for the coupling numproc library                                #
#                                                                            #
#   created Sep 10, 2002                                                     #
#                                                                            #
##############################################################################

# include configuration and all makefile macro definitions
include $(UGROOT)/ug.conf

.SUFFIXES: .cc

LIBRARY	= libugcpl$(UG_LIBSUFFIX).a

OBJECTS = partdisc.o globdisc.o sparsepattern.o multivd.o coupleddiscinit.o

HEADERS = partdisc.hh globdisc.h sparsepattern.h multivd.h coupleddiscinit.h

$(LIBRARY): $(OBJECTS)
	$(ARCH_AR) $(ARCH_ARFLAGS) $(LIBRARY) $(OBJECTS)

.c.o:
	$(ARCH_CC) $(UG_CFLAGS) $<

.cc.o:
	$(ARCH_C++) $(UG_CFLAGS) $< 

$(OBJECTS): $(HEADERS)

clean:
	rm -f *.o $(LIBRARY)

# End of File

## ug 3.11.0

=== debian/changelog ===
ug (3.11.0-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Alexander Krampe <alexander.krampe@gmail.com>  Tue, 11 Nov 2014 11:57:48 +0100

ug (3.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Change shared library package name to libug3.11.0.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 15 Jun 2014 11:12:53 +0200

ug (3.10.0-1) unstable; urgency=low

  * Initial release. (Closes: #742179)

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 08 Apr 2014 02:07:52 +0200

=== debian/control ===
Source: ug
Section: libs
Priority: optional
Standards-Version: 3.9.5
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ug.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ug.git
Homepage: http://www.iwr.uni-heidelberg.de/wiki-link-pages/wiki-software
Build-Depends: debhelper (>= 9), dh-autoreconf,
 bison, flex, libltdl-dev

Package: libug-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libug3.11.0 (= ${binary:Version})
Suggests: libug-dbg (= ${binary:Version})
Description: software framework for finite element methods (development files)
 UG is a flexible software tool for the numerical solution of partial
 differential equations on unstructured meshes, with a focus on
 multigrid methods. It has a very powerful grid manager, which supports
 two- and three-dimensional grids with mixed element types. The grids
 can be adaptively refinement using either classic
 red/green-refinement, or pure red refinement with hanging nodes. All
 this is fully parallelized and can run on large distributed machines.
 .
 This package contains the development files.

Package: libug3.11.0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: software framework for finite element methods (library)
 UG is a flexible software tool for the numerical solution of partial
 differential equations on unstructured meshes, with a focus on
 multigrid methods. It has a very powerful grid manager, which supports
 two- and three-dimensional grids with mixed element types. The grids
 can be adaptively refinement using either classic
 red/green-refinement, or pure red refinement with hanging nodes. All
 this is fully parallelized and can run on large distributed machines.
 .
 This package contains the shared library.

Package: libug-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libug3.11.0 (= ${binary:Version})
Description: software framework for finite element methods (debug symbols)
 UG is a flexible software tool for the numerical solution of partial
 differential equations on unstructured meshes, with a focus on
 multigrid methods. It has a very powerful grid manager, which supports
 two- and three-dimensional grids with mixed element types. The grids
 can be adaptively refinement using either classic
 red/green-refinement, or pure red refinement with hanging nodes. All
 this is fully parallelized and can run on large distributed machines.
 .
 This package contains the debug symbols.

=== debian/rules ===
#! /usr/bin/make -f

# Note that with the DUNE option UG contains C++ code, but autotools
# will still call a C compiler by default.
CONFIGURE_FLAGS := \
  --enable-dune \
  --enable-shared \
  --disable-static \
  --enable-system-heap \
  CC=g++

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_strip:
	dh_strip --dbg-package=libug-dbg

get-orig-source:
	$(error Please use the get-orig-source script included in the dune-common source package)

## ug 3.12.1

=== debian/changelog ===
ug (3.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Sep 2015 13:21:24 +0200

ug (3.12.1-1) experimental; urgency=medium

  * New upstream release.
  * Change shared library package name to libug3.12.1.
  * Mention that UG has been built with support for DUNE in the
    package description.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 11 May 2015 21:05:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: ug
 Section: libs
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ug.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ug.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/ug.git
-Homepage: http://www.iwr.uni-heidelberg.de/wiki-link-pages/wiki-software
+Homepage: http://www.iwr.uni-heidelberg.de/frame/iwrwikiequipment/software/ug
 Build-Depends: debhelper (>= 9), dh-autoreconf,
  bison, flex, libltdl-dev
 
@@ -15,7 +15,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
- libug3.11.0 (= ${binary:Version})
+ libug3.12.1 (= ${binary:Version})
 Suggests: libug-dbg (= ${binary:Version})
 Description: software framework for finite element methods (development files)
  UG is a flexible software tool for the numerical solution of partial
@@ -26,9 +26,12 @@
  red/green-refinement, or pure red refinement with hanging nodes. All
  this is fully parallelized and can run on large distributed machines.
  .
+ The version in this package has been built with the necessary flags for use
+ with the Dune software system.
+ .
  This package contains the development files.
 
-Package: libug3.11.0
+Package: libug3.12.1
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -42,6 +45,9 @@
  red/green-refinement, or pure red refinement with hanging nodes. All
  this is fully parallelized and can run on large distributed machines.
  .
+ The version in this package has been built with the necessary flags for use
+ with the Dune software system.
+ .
  This package contains the shared library.
 
 Package: libug-dbg
@@ -50,7 +56,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
- libug3.11.0 (= ${binary:Version})
+ libug3.12.1 (= ${binary:Version})
 Description: software framework for finite element methods (debug symbols)
  UG is a flexible software tool for the numerical solution of partial
  differential equations on unstructured meshes, with a focus on
@@ -60,4 +66,7 @@
  red/green-refinement, or pure red refinement with hanging nodes. All
  this is fully parallelized and can run on large distributed machines.
  .
+ The version in this package has been built with the necessary flags for use
+ with the Dune software system.
+ .
  This package contains the debug symbols.

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,7 @@
 CONFIGURE_FLAGS := \
   --enable-dune \
   --enable-shared \
-  --disable-static \
-  --enable-system-heap \
-  CC=g++
+  --disable-static
 
 %:
 	dh $@ --with autoreconf
